# This file created by conda-build 26.3.0
# meta.yaml template originally from:
# /home/task_178221496784604/certifi-feedstock/recipe, last modified Tue Jun 23 11:42:53 2026
# ------------------------------------------------

package:
  name: certifi
  version: 2026.6.17
source:
  - url: https://github.com/certifi/python-certifi/archive/refs/tags/2026.06.17.tar.gz
    sha256: de76d4c70f5a4fecce2522a11e01b57ea75d41d878bc590dcc43290d26a0acc8
    folder: certifi
  - url: https://pypi.org/packages/py3/p/pip/pip-26.0.1-py3-none-any.whl
    sha256: bdb1b08f4274833d62c1aa29e20907365a2ceb950410df15fc9521bad440122b
    folder: boostrap_wheels
  - url: https://pypi.org/packages/py3/s/setuptools/setuptools-82.0.1-py3-none-any.whl
    sha256: a59e362652f08dcd477c78bb6e7bd9d80a7995bc73ce773050228a348ce2e5bb
    folder: boostrap_wheels
  - url: https://pypi.org/packages/py3/w/wheel/wheel-0.46.3-py3-none-any.whl
    sha256: 4b399d56c9d9338230118d705d9737a2a468ccca63d5e813e2a4fc7815d8bc4d
    folder: boostrap_wheels
build:
  number: '0'
  script_env:
    - 'PYTHONPATH=/home/task_178221496784604/croot/certifi_1782214994840/work/boostrap_wheels:'
  script:
    - cd certifi
    - /home/task_178221496784604/croot/certifi_1782214994840/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_pla/bin/python
      -m pip install . --ignore-installed --no-deps --no-build-isolation -vv
  string: py314h06a4308_0
requirements:
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 52_gnu
    - bzip2 1.0.8 h5eee18b_6
    - ca-certificates 2026.5.14 h06a4308_0
    - ld_impl_linux-64 2.44 h9e0c5a2_3
    - libexpat 2.8.1 h7354ed3_1
    - libffi 3.4.8 h06d3fd0_3
    - libgcc 15.2.0 h69a1729_8
    - libgcc-ng 15.2.0 h166f726_8
    - libmpdec 4.0.1 h47b2149_0
    - libstdcxx 15.2.0 h39759b7_8
    - libstdcxx-ng 15.2.0 hc03a8fd_8
    - libuuid 1.41.5 h5eee18b_0
    - libxcb 1.17.0 h9b100fa_0
    - libzlib 1.3.2 h47b2149_0
    - lz4-c 1.9.4 h6a678d5_1
    - ncurses 6.5 h7934f7d_0
    - openssl 3.5.7 h1b28b03_0
    - pthread-stubs 0.3 h0ce48e5_1
    - python 3.14.6 h4bdf6f9_100_cp314
    - python_abi 3.14 2_cp314
    - readline 8.3 hc2a1206_0
    - sqlite 3.53.2 h795bf6d_0
    - tk 8.6.15 h54e0aa7_0
    - tzdata 2026b he532380_0
    - xorg-libx11 1.8.12 h9b100fa_1
    - xorg-libxau 1.0.12 h9b100fa_0
    - xorg-libxdmcp 1.1.5 h9b100fa_0
    - xorg-xorgproto 2024.1 h5eee18b_1
    - xz 5.8.2 h448239c_0
    - zlib 1.3.2 h47b2149_0
    - zstd 1.5.7 h11fc155_0
  run:
    - python >=3.14,<3.15.0a0
    - python_abi 3.14.* *_cp314
test:
  source_files:
    - certifi/certifi/tests
  imports:
    - certifi
  requires:
    - pip
    - pytest
  commands:
    - pip check
    - python -c "from importlib.metadata import version; assert(version('certifi')=='2026.6.17')"
    - pytest -vv certifi/certifi/tests
about:
  home: https://certifi.io
  license: MPL-2.0
  license_file: certifi/LICENSE
  license_family: Other
  summary: Python package for providing Mozilla's CA Bundle.
  description: 'Certifi is a curated collection of Root Certificates for validating
    the

    trustworthiness of SSL certificates while verifying the identity of TLS

    hosts.

    '
  doc_url: https://github.com/certifi/python-certifi/blob/master/README.rst
  dev_url: https://github.com/certifi/python-certifi
extra:
  recipe-maintainers:
    - jakirkham
    - mingwandroid
    - ocefpaf
    - pelson
    - sigmavirus24
  skip-lints:
    - missing_python_build_tool
  final: true
  copy_test_source_files: true
  remote_url: https://github.com/AnacondaRecipes/certifi-feedstock
  sha: 33836b13db1711c0cf7e92f05279c363003d1e99
  task_id: UfCYnf3bQhaimtF5vIAX_A
  task_run_id: '0'
  pbp_graph_uuid: e2b911c3-ca4c-4470-bcc3-b3f5a2a5632a
